List coupons
https://email.growthdept.ai/api/couponsEvery coupon in the account (API, uploaded and store coupons), by id.
Sort by id, ascending or descending (put - in front).
Rate limits
Scopes
coupons:read
Operation id
get_coupons The same operation as in Klaviyo's API. OpenAPI document
Query parameters
Pick values to add them to the request:
Headers
stringrequireddefault 2026-10-15
API revision, YYYY-MM-DD. This server implements 2026-10-15.
Responses
200Success
Response body
object
dataarray of objectsrequired
data: 4 fields
typestringrequired
couponidstringrequired
attributesobjectrequired
attributes: 4 fields
external_idstringrequired
descriptionstringcan be null
monitor_configurationobjectcan be null
assigner_configurationobjectcan be null
assigner_configuration: 2 fields
usedstringrequired
ALWAYS_ASSIGNASSIGN_IF_EXPIREDNEVER_ASSIGNunused_expiredstringrequired
ALWAYS_ASSIGNNEVER_ASSIGN
linksobjectrequired
links: 1 field
selfstring (uri)required
linksobject
links: 3 fields
selfstring (uri)required
prevstring (uri)
nextstring (uri)
metaobject
4XXClient error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject
See status codes for each code.
5XXServer error
Response body
object
errorsarray of objectsrequired
errors: 8 fields
idstringrequired
statusintegerrequired
codestringrequired
titlestringrequired
detailstringrequired
sourceobject
source: 2 fields
pointerstring
parameterstring
linksobject
metaobject